apiVersion: apps/v1
kind: Deployment
metadata:
  name: elucidate
  annotations:
    {{ if .Values.gitlab.app }}app.gitlab.com/app: {{ .Values.gitlab.app | quote }}{{ end }}
    {{ if .Values.gitlab.env }}app.gitlab.com/env: {{ .Values.gitlab.env | quote }}{{ end }}
  labels:
    app: nssi
spec:
  selector:
    matchLabels:
      app: nssi
      component: elucidate
  template:
    metadata:
      annotations:
        checksum/application-secrets: "{{ .Values.application.secretChecksum }}"
        {{ if .Values.gitlab.app }}app.gitlab.com/app: {{ .Values.gitlab.app | quote }}{{ end }}
        {{ if .Values.gitlab.env }}app.gitlab.com/env: {{ .Values.gitlab.env | quote }}{{ end }}
      labels:
        app: nssi
        component: elucidate
    spec:
      imagePullSecrets:
{{ toYaml .Values.image.secrets | indent 10 }}
      initContainers:
      - name: wait-for-db
        image: postgres:11
        command: ["/bin/sh", "-c", "until pg_isready -h elucidatedb -p 5432; do echo waiting for elucidatedb; sleep 2; done;"]
      containers:
      - name: elucidate
        image: registry.gitlab.com/calincs/conversion/elucidate-server:latest-dev
        imagePullPolicy: Always
{{- if .Values.application.secretName }}
        envFrom:
        - secretRef:
            name: {{ .Values.application.secretName }}
{{- end }}
        ports:
        - containerPort: 8080
